%define somver 2
%define sover %somver.3.8
Name: cgal
Version: 3.7
Release: alt6
Summary: Easy access to efficient and reliable geometric algorithms
License: Free for non-commertial using
Group: Sciences/Mathematics
Url: http://www.cgal.org/
Packager: Eugeny A. Rostovtsev (REAL) <real at altlinux.org>

Source: https://gforge.inria.fr/frs/download.php/27641/CGAL-3.7.tar.gz
Source1: https://gforge.inria.fr/frs/download.php/27645/CGAL-3.7-doc_html.tar.gz
Source2: https://gforge.inria.fr/frs/download.php/27646/cgal_manual.pdf
Source4: cmk.txt
Source5: %name.pc

Requires: lib%name = %version-%release

BuildPreReq: gcc-c++ gcc-fortran cmake libqt4-devel qt4-devel
BuildPreReq: boost-devel libgmp-devel libgmp_cxx libgmp_cxx-devel
BuildPreReq: libOSMesa-devel libGLU-devel libGL-devel libmpfr-devel
BuildPreReq: zlib-devel qt3-devel libX11 phonon-devel
BuildPreReq: liblapack-goto-devel libtaucs-devel

%description
The goal of the CGAL Open Source Project is to provide easy access to
efficient and reliable geometric algorithms in the form of a C++
library.

%package -n lib%name
Summary: Shared libraries of CGAL
Group: System/Libraries

%description -n lib%name
The goal of the CGAL Open Source Project is to provide easy access to
efficient and reliable geometric algorithms in the form of a C++
library.

This Package contains shared libraries of CGAL.

%package -n lib%name-devel
Summary: Development files of CGAL
Group: Development/C++
Requires: lib%name = %version-%release

%description -n lib%name-devel
The goal of the CGAL Open Source Project is to provide easy access to
efficient and reliable geometric algorithms in the form of a C++
library.

This Package contains developemnt files of CGAL.

%package devel-doc
Summary: Documentation for CGAL
Group: Development/Documentation
BuildArch: noarch

%description devel-doc
The goal of the CGAL Open Source Project is to provide easy access to
efficient and reliable geometric algorithms in the form of a C++
library.

Thid package contains development documentation for CGAL.

%prep
%setup
install -p -m644 %SOURCE1 %SOURCE2 %SOURCE4 ./
mv cmk.txt CMakeCache.txt

install -p -m644 %SOURCE5 .
sed -i 's|@VERSION@|%version|g' %name.pc
sed -i 's|@LIBDIR@|%_libdir|g' %name.pc

%build
cmake -D CMAKE_INSTALL_PREFIX=%prefix .
%make_build
#make_build -C demo
%make_build -C examples


%install
install -d %buildroot%_docdir/%name
%makeinstall_std

cp -fR doc_html %buildroot%_docdir/%name
install -d %buildroot%_docdir/%name
install -p -m644 %SOURCE2 %buildroot/%_docdir/%name

pushd %buildroot%_docdir/%name
tar -xf %SOURCE1
popd

%ifarch x86_64
install -d %buildroot%_libdir
mv %buildroot%_libexecdir/* %buildroot%_libdir/
%endif

install -d %buildroot%_pkgconfigdir
install -p -m644 %name.pc %buildroot%_pkgconfigdir

%files
%_bindir/*
%_man1dir/*

%files -n lib%name
%_libdir/*.so.*

%files -n lib%name-devel
%_includedir/*
%_libdir/*.so
%_libdir/CGAL
%_pkgconfigdir/*

%files devel-doc
%doc AUTHORS CHANGES* LICENSE* README
%doc %_docdir/%{name}*

%changelog
* Tue Apr 12 2011 Eugeny A. Rostovtsev (REAL) <real at altlinux.org> 3.7-alt6
- Built with GotoBLAS2 instead of ATLAS

* Tue Apr 12 2011 Eugeny A. Rostovtsev (REAL) <real at altlinux.org> 3.7-alt5
- Built with GotoBLAS2 instead of ATLAS

* Thu Mar 17 2011 Eugeny A. Rostovtsev (REAL) <real at altlinux.org> 3.7-alt4
- Rebuilt with Boost 1.46.1

* Thu Mar 10 2011 Eugeny A. Rostovtsev (REAL) <real at altlinux.org> 3.7-alt3
- Rebuilt for debuginfo

* Wed Nov 24 2010 Eugeny A. Rostovtsev (REAL) <real at altlinux.org> 3.7-alt2
- Rebuilt for soname set-versions

* Mon Oct 18 2010 Eugeny A. Rostovtsev (REAL) <real at altlinux.org> 3.7-alt1
- Version 3.7

* Tue Jun 15 2010 Eugeny A. Rostovtsev (REAL) <real at altlinux.org> 3.6-alt1
- Version 3.6

* Wed Mar 03 2010 Eugeny A. Rostovtsev (REAL) <real at altlinux.org> 3.5-alt3
- Rebuilt with new Boost

* Thu Dec 24 2009 Eugeny A. Rostovtsev (REAL) <real at altlinux.org> 3.5-alt2
- Add pkg-config file

* Thu Dec 17 2009 Eugeny A. Rostovtsev (REAL) <real at altlinux.org> 3.5-alt0.M51.1
- port into branch 5.1

* Thu Dec 10 2009 Eugeny A. Rostovtsev (REAL) <real at altlinux.org> 3.5-alt1
- Initial build for Sisyphus

